Bug 249757 - science/PETSc: depends on python 2.x
Summary: science/PETSc: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://www.mcs.anl.gov/petsc/documen...
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:34 UTC by Steve Wills
Modified: 2020-12-16 16:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
Patch to upgrade PETSc to 3.14.1 (12.13 KB, patch)
2020-12-01 20:46 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:34:26 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Thierry Thomas freebsd_committer 2020-12-01 20:46:39 UTC
Created attachment 220146 [details]
Patch to upgrade PETSc to 3.14.1
Comment 2 Thierry Thomas freebsd_committer 2020-12-01 20:47:48 UTC
Rescue PETSc by upgrading to 3.14.1.

Note: PETSc support Python 3 since 3.11.
Comment 3 Thierry Thomas freebsd_committer 2020-12-16 16:19:34 UTC
Just committed.
Comment 4 commit-hook freebsd_committer 2020-12-16 16:20:06 UTC
A commit references this bug:

Author: thierry
Date: Wed Dec 16 16:19:31 UTC 2020
New revision: 558228
URL: https://svnweb.freebsd.org/changeset/ports/558228

Log:
  Rescue PETSc by upgrading to 3.14.1, and thus switch to Python 3.x.

  Changelogs avilable at
  <https://www.mcs.anl.gov/petsc/documentation/changes/index.html>.

  PR:		249757
  Submitted by:	/me
  Reported by:	swills@
  Approved by:	maintainer?s time-out

Changes:
  head/science/PETSc/Makefile
  head/science/PETSc/distinfo
  head/science/PETSc/pkg-plist